Subject: bug#35588: closed (Re: bug#35588: [PATCH] ui: Search matches additional package outputs.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 09 May 2019 07:23:02 +0000

Your bug report

#35588: guix package --search does not search output names

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35588: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35588
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35588: [PATCH] ui: Search matches additional package outputs.
From: Chris Marusich <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: swedebugia <[email-masked]>, [email-masked], Tobias Geerinckx-Rice <[email-masked]>
Date: Thu, 09 May 2019 00:22:03 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:

> I would exclude only the standard output names used by (guix build
> gnu-build-system), so:
>
>   ("out" "doc" "debug" "lib" "include" "bin")
>
> That way one can still do ‘guix search git gui’ or ‘guix search bind utils’.

I didn't know you could do that!  Your suggestion makes sense.  I've
done as you suggest in commit 387e6b9e340ce4b401f220f72881415623a466f7.

Thanks everyone!  I'm closing this bug report.

-- 
Chris

Subject: guix package --search does not search output names
From: Chris Marusich <[email-masked]>
To: [email-masked]
Date: Sun, 05 May 2019 12:39:05 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

mikadoZero reported a bug here:

https://lists.gnu.org/archive/html/help-guix/2019-04/msg00206.html

The bug is reproducible.  On Guix commit
aa7cdc57dc28673dedfc6ec210974aaa0099a419, a search for keyword "cargo"
does not find the "cargo" output of the "rust" package:

--8<---------------cut here---------------start------------->8---
$ guix package --search=cargo
name: chromium-bsu
version: 0.9.16.1
outputs: out
systems: x86_64-linux i686-linux armhf-linux aarch64-linux mips64el-linux
dependencies: [email-masked] [email-masked] [email-masked]
+ [email-masked] [email-masked]
location: gnu/packages/games.scm:3295:2
homepage: http://chromium-bsu.sourceforge.net/
license: Clarified Artistic, Expat
synopsis: Fast-paced, arcade-style, top-scrolling space shooter  
description: In this game you are the captain of the cargo ship Chromium
+ B.S.U.  and are responsible for delivering supplies to the troops on the front
+ line.  Your ship has a small fleet of robotic fighters which you control from
+ the relative safety of the Chromium vessel.
relevance: 2
--8<---------------cut here---------------end--------------->8---

It should have printed all the "rust" packages, and the "mrustc"
package, since each of them has a "cargo" output.  Example:

--8<---------------cut here---------------start------------->8---
name: rust
version: 1.34.0
outputs: out doc cargo
systems: x86_64-linux i686-linux armhf-linux aarch64-linux mips64el-linux
dependencies: [email-masked] [email-masked] [email-masked] [email-masked] [email-masked]
+ [email-masked] [email-masked] [email-masked] [email-masked] [email-masked]
+ [email-masked] [email-masked] [email-masked] [email-masked]
location: gnu/packages/rust.scm:1026:4
homepage: https://www.rust-lang.org
license: ASL 2.0, Expat
synopsis: Compiler for the Rust progamming language  
description: Rust is a systems programming language that provides memory
+ safety and thread safety guarantees.
--8<---------------cut here---------------end--------------->8---

The general problem here is that Guix does not include outputs whose
name matches the given regex.  One might argue that we should simply add
the output's name to a searchable field, like the description, in cases
like this, but if it's easy to fix, we should just fix it.

-- 
Chris